import {render, screen} from "@testing-library/react";
import MockAppWithProviders from "../../../../../../mocks/AppWithProvider";
import ExpertManagementDataTable from "@/components/dashboard/expert-management/DataTable";

describe("ExpertManagementDatatable Component From Expert Management", () => {
    describe("Rendering", () => {
        it("Table Headers Rendered", () => {
            render(<MockAppWithProviders><ExpertManagementDataTable/></MockAppWithProviders>);
            const idHeader = screen.queryByText("کد یکتا");
            const nameHeader = screen.queryByText("نام کامل");
            const usernameHeader = screen.queryByText("نام کاربری");
            const emailHeader = screen.queryByText("پست الکترونیک");
            const telephone_idHeader = screen.queryByText("کد تلفن");
            const phone_numberHeader = screen.queryByText("شماره همراه");
            const national_idHeader = screen.queryByText("کد ملی");
            const positionHeader = screen.queryByText("سمت");
            const province_nameHeader = screen.queryByText("استان");
            const role_nameHeader = screen.queryByText("نقش");
            const genderHeader = screen.queryByText("جنسیت");
            const updated_atHeader = screen.queryByText("آخرین بروزرسانی");
            expect(idHeader).toBeInTheDocument();
            expect(nameHeader).toBeInTheDocument();
            expect(usernameHeader).toBeInTheDocument();
            expect(emailHeader).toBeInTheDocument();
            expect(telephone_idHeader).toBeInTheDocument();
            expect(phone_numberHeader).toBeInTheDocument();
            expect(national_idHeader).toBeInTheDocument();
            expect(positionHeader).toBeInTheDocument();
            expect(province_nameHeader).toBeInTheDocument();
            expect(role_nameHeader).toBeInTheDocument();
            expect(genderHeader).toBeInTheDocument();
            expect(updated_atHeader).toBeInTheDocument();
        });
    });
});